Subject: bug#15283: closed (Re: bug#15283: on guix 0.3 package -e '(@…)' has to be run twice to install a new package (not build yet))

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 30 Oct 2013 21:19:03 +0000

Your bug report

#15283: on guix 0.3 package -e '(@ …)' has to be run twice to install a new package (not build yet)

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
15283: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=15283
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#15283: on guix 0.3 package -e '(@ …)'has to be run twice to install a new package (not build yet)
From: [email-masked] (Ludovic Courtès)
To: Arne Babenhauserheide <[email-masked]>
Cc: [email-masked]
Date: Wed, 30 Oct 2013 22:18:05 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Arne Babenhauserheide <[email-masked]> skribis:

> To test the bug, save this file as mercurial.scm: http://bpaste.net/raw/129793/
>
> Now run
>  
>     GUILE_LOAD_PATH=. guix package -e '(@ (mercurial) hg)'
>
>
> On the first run I got the following backtrace: 
>
> @ build-succeeded /nix/store/9rajwkq02sk4nq7cvrxilbsvxrywh2zs-mercurial-2.7.1.drv -

[...]

>  866: 3 [process-actions (# # # #)]
> In guix/store.scm:
>  483: 2 [build-derivations # #]
>  334: 1 [process-stderr #]
> In guix/serialization.scm:
>   49: 0 [read-int #<input-output: socket 9>]
>
> guix/serialization.scm:49:4: In procedure read-int:
> guix/serialization.scm:49:4: In procedure bv-u32-ref: Wrong type argument in position 1 (expecting bytevector): #<eof>
>
> The second run succeeds.

I believe this is fixed with commit 1fcc3ba.

I’m closing the bug, but of course do reopen it if you encounter this
issue again.

Thanks!

Ludo’.

Subject: on guix 0.3 package -e '(@ …)' has to be run twice to install a new package (not build yet)
From: Arne Babenhauserheide <[email-masked]>
To: [email-masked]
Date: Fri, 06 Sep 2013 11:00:01 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

To test the bug, save this file as mercurial.scm: http://bpaste.net/raw/129793/

Now run
 
    GUILE_LOAD_PATH=. guix package -e '(@ (mercurial) hg)'

On the first run I got the following backtrace: 

@ build-succeeded /nix/store/9rajwkq02sk4nq7cvrxilbsvxrywh2zs-mercurial-2.7.1.drv -
Backtrace:
In ice-9/boot-9.scm:
 157: 14 [catch #t #<catch-closure 88e540> ...]
In unknown file:
   ?: 13 [apply-smob/1 #<catch-closure 88e540>]
In ice-9/boot-9.scm:
  63: 12 [call-with-prompt prompt0 ...]
In ice-9/eval.scm:
 432: 11 [eval # #]
In ice-9/boot-9.scm:
2320: 10 [save-module-excursion #<procedure 8becc0 at ice-9/boot-9.scm:3961:3 ()>]
3966: 9 [#<procedure 8becc0 at ice-9/boot-9.scm:3961:3 ()>]
In unknown file:
   ?: 8 [load-compiled/vm "/home/arne/.cache/guile/ccache/2.0-LE-8-2.0/usr/local/bin/guix.go"]
In guix/ui.scm:
 475: 7 [run-guix-command package "-e" "(@ (mercurial) hg)"]
In ice-9/boot-9.scm:
 157: 6 [catch srfi-34 #<procedure e98aa0 at guix/ui.scm:153:2 ()> ...]
 157: 5 [catch system-error ...]
In guix/scripts/package.scm:
 951: 4 [#<procedure 17c1570 at guix/scripts/package.scm:937:8 ()>]
 866: 3 [process-actions (# # # #)]
In guix/store.scm:
 483: 2 [build-derivations # #]
 334: 1 [process-stderr #]
In guix/serialization.scm:
  49: 0 [read-int #<input-output: socket 9>]

guix/serialization.scm:49:4: In procedure read-int:
guix/serialization.scm:49:4: In procedure bv-u32-ref: Wrong type argument in position 1 (expecting bytevector): #<eof>

The second run succeeds.